org.apache.ignite.internal.processors.hadoop

## Interface GridHadoopCounterWriter

    public interface GridHadoopCounterWriter

The object that writes some system counters to some storage for each running job. This operation is a part of whole statistics collection process.

### Method Summary

Methods
`void` `write(GridHadoopJobInfo jobInfo, GridHadoopJobId jobId, GridHadoopCounters cntrs)` Writes counters of given job to some statistics storage.

### Method Detail

#### write

    void write(GridHadoopJobInfo jobInfo,
             GridHadoopJobId jobId,
             GridHadoopCounters cntrs)
               throws IgniteCheckedException

Writes counters of given job to some statistics storage.

Parameters:
  `jobInfo` - Job info.
  `jobId` - Job id.
  `cntrs` - Counters.
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015